---
title: "Omio API: Search | Perceptlayer"
description: "Search from Omio as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/omio/search
---

[APIs](https://perceptlayer.com/apis) / [Omio](https://perceptlayer.com/apis/omio) / Search

# Omio: Search

Search from Omio as JSON. 1 credit per successful call.

GET `/v1/omio/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `origin_id` | integer | Required | Any |
| `destination_id` | integer | Required | Any |
| `adults` | integer | Optional | Any |
| `children` | integer | Optional | Any |
| `infants` | integer | Optional | Any |
| `travel_mode[]` | list of string | Optional | train, bus, flight |
| `currency` | string | Optional | EUR, USD, GBP, CHF, PLN, CZK, SEK, NOK, DKK, HUF, RON |
| `date` | string | Required | Any |
| `sort` | string | Optional | smart, price, duration, departure, arrival |
| `limit` | integer | Optional | Any |
| `page` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/omio/search" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/omio?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
